Intel® Distribution of OpenVINO™ Toolkit
Community support and discussions about the Intel® Distribution of OpenVINO™ toolkit, OpenCV, and all things computer vision-related on Intel® platforms.

Openvino extension

Erwin8
Beginner
349 Views

Tried to make my own text spotting application, but did not work with the "text-spotting-0003-detector" and the "text-spotting-0003-recognizer-decoder" model on windows. Could not load it into the IECore().

Think it is the extension: "RuntimeError: Cannot create Range layer ReduceMin_589/axes id:445". How do I add the extension on windows 10. Did not find the .so file in the system?

0 Kudos
6 Replies
Peh_Intel
Moderator
301 Views

Hi Erwin,


Greetings to you.


For your information, OpenVINO™ Toolkit also provides one text spotting demo and I’ve validated that demo works well with the text-spotting-0003-detector, text-spotting-0003-recognizer-encoder and text-spotting-0003-recognizer-encoder models on OpenVINO™ 2021.2  without specifying any extension library.


Please note that text-spotting-0003 model can only work on OpenVINO™ 2021.2. I’ve also validated that the demo failed to work with text-spotting-0003 model on various versions of OpenVINO™ (2020.1, 2020.4,2021.1) and resulted in getting different runtime errors. I got the exact runtime error as you when running the demo on OpenVINO™ version 2020.4.


You may refer to the Release Notes for Intel® Distribution of OpenVINO™ Toolkit 2021 under the section “Open Model Zoo”.

https://software.intel.com/content/www/us/en/develop/articles/openvino-relnotes.html


Please check the OpenVINO™ version that you’re using. It is always advisable to upgrade OpenVINO™ to the latest version or use the Model Downloader in OpenVINO™ that you’re using to download the model. If you’re already using the latest OpenVINO™ version, please do me a favor to try running the text spotting demo and share the result with me.



Regards,

Peh


Erwin8
Beginner
288 Views

Hi Peh,

Thanks for the answer.

I installed the Openvino 2021.2 version (Windows 10) but am using Anaconda and the last version there is 2020.4. So I think Anaconda only takes into account this version.

Is there some way to have anaconda which works with the latest version of Openvino?

Regards

Erwin

Peh_Intel
Moderator
273 Views

Hi Erwin,


You can install the runtime package for the latest version of OpenVINO™ version with these commands:


conda install -c anaconda python=3.7

conda install openvino-ie4py -c intel


OR


You can create a virtual environment and install the runtime package for the latest version of OpenVINO™ version with these commands:


conda create -n <name> python=3.7

conda activate <name>

conda install openvino-ie4py -c intel



Regards,

Peh


Erwin8
Beginner
266 Views

Hi Peh,

Great, it works with creating a new environment. The update of the old one did not work, maybe I have to uninstall openvino and then reinstall it.

However, an error occurred with the new OpenVion version:

not_supported_layers = [l for l in self.network.layers.keys() if l not in supported_layers]
AttributeError: 'openvino.inference_engine.ie_api.IENetwork' object has no attribute 'layers'

So, with the new version, I no longer have to search for supported layers, right? 

Regards

Erwin

Peh_Intel
Moderator
252 Views

Hi Erwin,

 

This property, 'ie_api.IENetwork.layers' is deprecated and removed in OpenVINO™ version 2021.2. Please refer to this thread that had well discussed the same issue before. There is also a shared workaround available in that thread.

 

You can try running your application without searching for the supported layers or use the nGraph function's get_ordered_ops method.

 

 

Regards,

Peh

 

Peh_Intel
Moderator
216 Views

Hi Erwin,


This thread will no longer be monitored since we have provided a solution. If you need any additional information from Intel, please submit a new question.



Regards,

Peh


Reply